<!--
  -  Copyright 2020 Huawei Technologies Co., Ltd.
  -
  -  Licensed under the Apache License, Version 2.0 (the "License");
  -  you may not use this file except in compliance with the License.
  -  You may obtain a copy of the License at
  -
  -      http://www.apache.org/licenses/LICENSE-2.0
  -
  -  Unless required by applicable law or agreed to in writing, software
  -  distributed under the License is distributed on an "AS IS" BASIS,
  -  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  -  See the License for the specific language governing permissions and
  -  limitations under the License.
  -->

<template>
  <div class="vMobileBread breadcrumb">
    <el-breadcrumb separator="/">
      <el-breadcrumb-item :to="{ path: '/mobile/overview' }">
        {{ first }}
      </el-breadcrumb-item>
      <el-breadcrumb-item :to="jumpTo(path)">
        {{ second }}
      </el-breadcrumb-item>
      <el-breadcrumb-item>
        {{ third }}
      </el-breadcrumb-item>
    </el-breadcrumb>
  </div>
</template>

<script>
export default {
  name: 'Breadcrumb',
  components: {

  },
  props: {
    first: {
      required: true,
      type: String
    },
    second: {
      required: true,
      type: String
    },
    third: {
      required: true,
      type: String
    },
    path: {
      required: true,
      type: Object
    }
  },
  mounted () {

  },
  methods: {
    jumpTo (path) {
      return path
    }
  }
}
</script>
<style>
.vMobileBread {
  font-size: 14px !important;
  padding: 0 5px !important;
}
.vMobileBread .el-breadcrumb {
  font-size: 14px !important;
  padding: 0 5px !important;
  line-height: 1 !important;
  margin-top: 70px !important;
  margin-bottom: 10px !important;
}
.vMobileBread .breadcrumb {
  font-size: 14px !important;
  line-height: 1 !important;
}
.vMobileBread .el-breadcrumb__separator {
  margin: 0 2px !important;
}
</style>
